org.apache.commons.jelly.tags.core

## Class CatchTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.core.CatchTag

All Implemented Interfaces:
  Tag

    public class CatchTag
    extends TagSupport

A tag which catches exceptions thrown by its body. This allows conditional logic to be performed based on if exceptions are thrown or to do some kind of custom exception logging logic.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`CatchTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setVar(java.lang.String var)` Sets the name of the variable which is exposed with the Exception that gets thrown by evaluating the body of this tag or which is set to null if there is no exception thrown.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatchTag

    public CatchTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setVar

    public void setVar(java.lang.String var)

Sets the name of the variable which is exposed with the Exception that gets thrown by evaluating the body of this tag or which is set to null if there is no exception thrown.